https://management-test.adyen.com/v1/terminalsReturns the payment terminals that the API credential has access to and that match the query parameters. When using `searchQuery`, other query parameters are ignored. To make this request, your API credential must have the following roles: * Management API — Terminal actions read
Returns terminals with an ID that contains the specified string. If present, other query parameters are ignored.
Returns terminals located in the countries specified by their [two-letter country code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
Returns terminals that belong to the merchant accounts specified by their unique merchant account ID.
Returns terminals that are assigned to the [stores](https://docs.adyen.com/api-explorer/#/ManagementService/latest/get/stores) specified by their unique store ID.
Returns terminals of the [models](https://docs.adyen.com/api-explorer/#/ManagementService/latest/get/companies/{companyId}/terminalModels) specified in the format *brand.model*.
The number of the page to fetch.
The number of items to have on a page, maximum 100. The default is 20 items on a page.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://management-test.adyen.com/v1/terminals' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://management-test.adyen.com/v1/terminalsReturns the payment terminals that the API credential has access to and that match the query parameters. When using `searchQuery`, other query parameters are ignored. To make this request, your API credential must have the following roles: * Management API — Terminal actions read
Returns terminals with an ID that contains the specified string. If present, other query parameters are ignored.
Returns terminals located in the countries specified by their [two-letter country code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
Returns terminals that belong to the merchant accounts specified by their unique merchant account ID.
Returns terminals that are assigned to the [stores](https://docs.adyen.com/api-explorer/#/ManagementService/latest/get/stores) specified by their unique store ID.
Returns terminals of the [models](https://docs.adyen.com/api-explorer/#/ManagementService/latest/get/companies/{companyId}/terminalModels) specified in the format *brand.model*.
The number of the page to fetch.
The number of items to have on a page, maximum 100. The default is 20 items on a page.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://management-test.adyen.com/v1/terminals' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}